package com.cake.draw.painting.environment.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "59E907EE6D2723893762AF6D37478E12"
        const val TOP_ON_AD_TOW = "F88C6C0524B477A3C684EF3701DA2612"
        const val TOP_ON_AD_THREE = "C54011FD9ACB782C1DCBE2C5B534C912"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}